import { AfterContentInit, EventEmitter, QueryList } from '@angular/core';
import { AccordionModel } from './accordion.model';
import { CollapsibleComponent } from '../collapsible/collapsible.component';
export declare class AccordionComponent implements AccordionModel, AfterContentInit {
    static readonly defaultProps: AccordionModel;
    collapsibles: QueryList<CollapsibleComponent>;
    onToggleEmitter: EventEmitter<number | null>;
    className: string;
    activeIndex: number;
    constructor();
    ngAfterContentInit(): void;
    toggleCollapsibles(currentIndex: number): void;
    showNext(): void;
    showPrev(): void;
}
